Page MenuHomePhabricator

Map sources using Wikidata to wd_item
Closed, ResolvedPublic

Description

Since the resolution of T55808 we can harvest Wikidata IDs from the lists. We should complete the mappings of lists already using Wikidata IDs.

A quick search yields the following candidates:

  • gb-eng (en)
  • es-vc (ca)
  • es-ct (ca)
  • ca (en)
  • de-he (de)

Event Timeline

JeanFred created this task.Jul 19 2016, 5:34 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 19 2016, 5:34 PM

Change 299890 had a related patch set uploaded (by Jean-Frédéric):
Harvest Wikidata item in gb-eng (en)

https://gerrit.wikimedia.org/r/299890

Change 299891 had a related patch set uploaded (by Jean-Frédéric):
Harvest Wikidata item for Canada in English ca_(en)

https://gerrit.wikimedia.org/r/299891

Change 299891 merged by jenkins-bot:
Harvest Wikidata item for Canada in English ca_(en)

https://gerrit.wikimedia.org/r/299891

Lokal_Profil updated the task description. (Show Details)Jul 21 2016, 3:06 PM

Change 299890 merged by jenkins-bot:
Harvest Wikidata item in gb-eng (en)

https://gerrit.wikimedia.org/r/299890

Mentioned in SAL [2016-07-25T13:30:13Z] <JeanFred> Deployed latest from Git: ff61234, 112c14f, 7e98153, b614e78, aafc788 & 3222df9 (T140795), baad88c, ac388ee

Lokal_Profil updated the task description. (Show Details)Jul 26 2016, 8:43 AM
JeanFred added a comment.EditedJul 26 2016, 9:28 AM

Not sure it worked though :-( This API call returns the gb-en monuments with Wikidata item, and it’s empty: https://tools.wmflabs.org/heritage/api/api.php?action=search&srcountry=gb-en&srwithwd_item=1&format=json

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 2 2016, 9:32 PM
Abbe98 added a subscriber: Abbe98.Oct 17 2016, 3:19 PM

Change 317538 had a related patch set uploaded (by Jean-Frédéric):
Harvest Wikidata item in es-ct (ca)

https://gerrit.wikimedia.org/r/317538

Why don't we just add the mappings for all sources in one go? Default field name is wd_item and if people decide to add it, it works right away. That saves us for having to do a change for every source that decides to enable this. Worst case they give the field another name and we just need to rename it.

The Wikidata link should probably be to the entity. So http://www.wikidata.org/entity/Q5567227 instead of https://www.wikidata.org/wiki/Q5567227 .

We might want to consider adding support for outputting rdf triples and other semantic fun....

Change 317538 merged by jenkins-bot:
Harvest Wikidata item for es-ct (ca)

https://gerrit.wikimedia.org/r/317538

Somehow there has been no harvesting today. (Labs maintenance?) Anyhow, let’s see if next run picks those up.

4 elements sounds more like an error than anything else, no?

JeanFred closed this task as Resolved.Nov 10 2016, 2:02 PM